* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

html {
  scroll-behavior: smooth;
}

body {
  font-family: "Open Sans", sans-serif;
  font-size: 1rem;
  width: 100%;
  font-weight: 400;
  margin: 0;
  padding: 0;
}

main *,
main *::before,
main *::after {
  box-sizing: border-box;
}

h1 {
  font-weight: 300;
  font-style: normal;
  font-size: 42px;
}

h2 {
  font-weight: 700;
  font-style: normal;
  font-size: 2.5rem;
}

main p {
  font-size: 1rem;
  font-family: inherit;
  line-height: 1.625rem;
  font-weight: 400;
  margin: 1em 0;
}

main li {
  margin-bottom: 0;
}

a {
  text-decoration: none;
  color: black;
}

button {
  cursor: pointer;
}

img {
  max-width: 100%;
  border: none;
  height: auto;
  image-rendering: -moz-crisp-edges;
  /* Firefox */
  image-rendering: -o-crisp-edges;
  /* Opera */
  image-rendering: -webkit-optimize-contrast;
  /* Webkit (non-standard naming) */
  image-rendering: crisp-edges;
  -ms-interpolation-mode: nearest-neighbor;
  /* IE (non-standard property) */
}

::-webkit-scrollbar {
  opacity: 0;
  transition: all 0.3s linear;
  width: 10px;
}

:hover::-webkit-scrollbar {
  display: block;
  background-color: #f5f5f5;
  opacity: 1;
}

:hover::-webkit-scrollbar-thumb {
  background-color: #ccc;
  border-radius: 10px;
}

:hover::-webkit-scrollbar-thumb:hover {
  background-color: #aaa;
}

.flex {
  display: flex;
}

.gap-15 {
  gap: 15px;
}

.container {
  max-width: 352px;
  margin: 0 auto;
  padding: 1rem;
}

.header {
  padding: 30px;
}

@media (min-width: 768px) {
  .container {
    max-width: 750px;
  }
}

@media (min-width: 960px) {
  .container {
    max-width: 960px;
  }
  .book__wrapper {
    grid-template-columns: 1fr 1fr 1fr 1fr;
  }
}

@media (min-width: 1280px) {
  .container {
    max-width: 1280px;
    overflow: hidden;
  }
  .book__wrapper {
    grid-template-columns: 1fr 1fr 1fr 1fr 1fr;
  }
}

.book__header {
  width: 100%;
  display: flex;
  flex-direction: column;
  gap: 20px;
  justify-content: space-between;
  align-items: center;
  margin: 0 0 15px;
  padding: 0 0 30px 0;
  border-bottom: 1px solid #dbdbdb;
  position: relative;
  margin-top: 40px;
}

@media (min-width: 960px) {
  .book__header {
    flex-direction: row;
    gap: 0;
  }
}

.book__header .title {
  font-size: 30px;
  line-height: 30px;
  color: #484848;
  margin: 0;
  font-weight: normal;
  display: flex;
  flex-wrap: wrap;
  gap: 10px;
  align-items: center;
  justify-content: center;
}

.book__header .title span {
  display: block;
  font-size: 16px;
  line-height: 16px;
  padding: 0;
  font-size: 30px;
  color: #dbdbdb;
}

.book__wrapper {
  float: left;
  margin-bottom: 40px;
  display: grid;
  grid-template-columns: 1fr;
  gap: 20px;
}

@media (min-width: 960px) {
  .book__wrapper {
    grid-template-columns: 1fr 1fr 1fr 1fr;
  }
}

@media (min-width: 1280px) {
  .book__wrapper {
    grid-template-columns: 1fr 1fr 1fr 1fr 1fr;
  }
}

.book__post {
  padding: 15px 0 0;
}

.book__feature__img {
  margin: 0;
  width: 100%;
  position: relative;
  isolation: isolate;
  float: left;
  margin-bottom: 20px;
  height: auto;
  max-height: 100%;
}

.book__post:hover .book__feature__img {
  padding: 9px 13px 9px 0;
}

.book__image {
  width: 100%;
  position: relative;
  float: left;
  height: auto;
  max-height: 100%;
  box-shadow: 0 8px 15px rgba(0, 0, 0, 0.2);
}

.book__post:hover .book__image {
  -webkit-transform-style: preserve-3d;
  -moz-transform-style: preserve-3d;
  -ms-transform-style: preserve-3d;
  -o-transform-style: preserve-3d;
  transform-style: preserve-3d;
  -webkit-transform: perspective(1000px) rotateY(-30deg) rotateZ(0deg);
  -moz-transform: perspective(1000px) rotateY(-30deg) rotateZ(0deg);
  -ms-transform: perspective(1000px) rotateY(-30deg) rotateZ(0deg);
  -o-transform: perspective(1000px) rotateY(-30deg) rotateZ(0deg);
  transform: perspective(1000px) rotateY(-30deg) rotateZ(0deg);
}

.book__front__cover {
  z-index: 2;
  width: 100%;
  float: left;
  position: relative;
  max-height: 100%;
}

.book__front__cover::before {
  top: 0;
  left: 0;
  z-index: 3;
  content: "";
  width: 100%;
  height: 100%;
  position: absolute;
  background: -moz-linear-gradient(
    left,
    rgba(0, 0, 0, 0) 8%,
    rgba(0, 0, 0, 0.1) 5%,
    rgba(0, 0, 0, 0) 13%
  );
  background: -webkit-linear-gradient(
    left,
    rgba(0, 0, 0, 0) 8%,
    rgba(0, 0, 0, 0.1) 5%,
    rgba(0, 0, 0, 0) 13%
  );
  background: linear-gradient(
    to right,
    rgba(0, 0, 0, 0) 8%,
    rgba(0, 0, 0, 0.1) 5%,
    rgba(0, 0, 0, 0) 13%
  );
  filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#00000000', endColorstr='#00000000',GradientType=1 );
}

.book__front__cover img {
  width: 100%;
  display: block;
  -webkit-transform-style: preserve-3d;
}

.book__back__cover {
  top: 2%;
  left: 0;
  z-index: 1;
  width: 100%;
  height: 95%;
  overflow: hidden;
  background: #000;
  position: absolute;
}

.book__back__cover img {
  opacity: 0.6;
  display: block;
}

.book__back__cover::after {
  top: 4%;
  right: 3px;
  z-index: 2;
  width: 15px;
  height: 95%;
  content: "";
  position: absolute;
  background: url("./images/bookpattren.png") no-repeat;
  -webkit-background-size: 100% 100%;
  -moz-background-size: 100% 100%;
  -ms-background-size: 100% 100%;
  -o-background-size: 100% 100%;
  background-size: 100% 100%;
}

.book__post:hover .book__back__cover {
  left: 18px;
}

.danger__btn {
  color: #fff !important;
  padding: 0 10px;
  text-align: center;
  background: #f16945 !important;
  border: 1px solid #f16945 !important;
  display: inline-block;
  vertical-align: middle;
  height: 39px;
  display: flex;
  align-items: center;
  font: 400 13px/34px "Work Sans", Arial, Helvetica, sans-serif;
}

.browse__list {
  display: none;
  cursor: pointer;
}

.book__post,
.book__feature__img,
::before,
::after,
.browse__list {
  transition: all 300ms ease-in-out;
}

@media (min-width: 960px) {
  .book__feature__img {
    min-height: 245px;
    display: flex;
    align-items: center;
    justify-content: center;
  }

  .danger__btn {
    display: none !important;
  }

  .book__feature__img .browse__list {
    bottom: 35%;
    left: 0;
    opacity: 0;
    z-index: 10;
    width: 100%;
    margin: 0 0 -17px;
    visibility: hidden;
    position: absolute;
  }

  .browse__list {
    color: #fff;
    padding: 0 10px;
    text-align: center;
    background: #f16945;
    display: inline-block;
    height: auto;
    vertical-align: middle;
    font: 400 13px/34px "Work Sans", Arial, Helvetica, sans-serif;
  }

  .book__post:hover .browse__list {
    opacity: 1;
    bottom: 50%;
    visibility: visible;
  }
}

.book__post__content {
  width: 100%;
  padding: 15px 0 0;
}

.book__post__category {
  width: 100%;
  margin: 0 0 20px;
  font-size: 13px;
  line-height: 13px;
  list-style: none;
  padding: 8px 0 8px;
  border-bottom: 1px solid #dbdbdb;
  display: flex;
  align-items: center;
  gap: 10px;
}

.book__post__category li {
  position: relative;
  line-height: inherit;
  list-style-type: none;
  cursor: pointer;
  color: #666;
  transition: all 300ms ease-in-out;
}

.book__post__category li:hover {
  color: #55acee;
}

.book__post__category li + li:before {
  left: -8px;
  bottom: 0;
  content: ",";
  color: inherit;
  position: absolute;
  font-size: inherit;
  line-height: inherit;
}

.book__title {
  width: 100%;
  padding: 0;
}

.book__title h3 {
  margin: 0;
  font-size: 16px;
  font-weight: 500;
  line-height: 19px;
  color: #484848;
  font-family: "Work Sans", Arial, Helvetica, sans-serif;
}

.book__title h3 a {
  color: #484848;
  transition: all 300ms ease-in-out;
}

.book__title h3 a:hover {
  color: #55acee;
}

.book__twitter {
  width: 100%;
  font-size: 13px;
  line-height: 13px;
  padding: 0 0 6px;
  color: #666666;
}

.book__location {
  width: 100%;
  font-size: 13px;
  line-height: 13px;
  padding: 0 0 6px;
  color: #666666;
  padding-top: 12px;
  padding-bottom: 0;
}

.book__location span {
  font-weight: 500;
}

.book__twitter a {
  color: #666666;
  transition: all 300ms ease-in-out;
}

.book__twitter a:hover {
  color: #55acee;
}

.country__flag {
  margin-top: 10px;
  max-width: 30px;
  position: relative;
  display: flex;
  gap: 5px;
  width: 100%;
  align-items: center;
}

.country__flag:hover span::after {
  content: "English";
  position: absolute;
  top: -3px;
  right: -45px;
  background-color: transparent;
  color: #000000;
  font-size: 11px;
  max-width: 100%;
  text-align: center;
  padding: 5px;
  z-index: 10;
}

.country__flag img {
  max-width: 30px;
  min-height: 20px;
  max-height: 20px;
  position: relative;
  cursor: pointer;
}

.book__price {
  margin-top: 10px;
}

.book__price span {
  color: #77b748;
  font: 500 18px/18px "Work Sans", Arial, Helvetica, sans-serif;
}

.book__btn {
  color: #666;
  width: 100%;
  max-width: 165px;
  border-radius: 20px;
  background: #fff;
  position: relative;
  text-align: center;
  display: inline-block;
  vertical-align: middle;
  border: 1px solid #dbdbdb;
  font: 400 13px/38px "Work Sans", Arial, Helvetica, sans-serif;
  margin-top: 15px;
  transition: all 300ms ease-in-out;
}

.book__btn:hover {
  color: #fff;
  background: #77b748;
  border: 1px solid #77b748;
}

.isbn__title {
  color: #f16945;
  font-size: 14px;
  margin-bottom: 5px;
}

.book__twitter span {
  background-color: rgb(247, 219, 35);
  padding: 2px 5px;
  border-radius: 20px;
  font-size: 11px;
  font-weight: bold;
}

.book__btn__h {
  color: #666;
  padding: 0 50px px;
  background: #fff;
  position: relative;
  text-align: center;
  border-radius: 4px;
  display: inline-block;
  vertical-align: middle;
  border: 1px solid #dbdbdb;
  margin: 6px 0 0;
  border-radius: 20px;
  padding: 0 25px;
  font: 400 13px/38px "Work Sans", Arial, Helvetica, sans-serif;
  position: relative;
}

.book__btn__h:hover {
  color: #fff;
  background-color: #1ca9c9;
  border-color: #1ca9c9;
  box-shadow: inset 0 -2px 0 0 #199bb8;
  transition: all 300ms ease-in-out;
}

.book__btn__l:hover {
  background-color: rgba(28, 169, 201, 0.5);
  border-color: rgba(28, 169, 201, 0.5);
  box-shadow: inset 0 -2px 0 0 rgba(25, 155, 184, 0.5);
}

.dropdown {
  width: 100%;
  max-width: 300px;
  position: absolute;
  top: 70px;
  right: 0;
  left: auto;
  background-color: #1ca9c9;
  z-index: 10;
  border: 1px solid #dbdbdb;
  border-radius: 5px;
}

.dropdown .from-group {
  display: flex;
  flex-direction: column;
  gap: 15px;
  padding: 20px;
  width: 100%;
}

.dropdown .from-row {
  display: flex;
  flex-direction: column;
  gap: 4px;
  position: relative;
}

.dropdown .form-control {
  padding: 10px;
  border: 1px solid #dbdbdb;
  border-radius: 5px;
  color: #484848;
  font-size: 13px;
}

.dropdown .form-control::placeholder {
  font-size: 13px;
  color: #484848;
}

.dropdown .label__title {
  color: #ffffff;
  font-size: 13px;
  font-weight: bold;
}

.caret__svg {
  position: absolute;
  right: 10px;
  top: 32px;
  width: 16px;
  height: 16px;
}

.dropdown__option {
  width: 100%;
  background-color: #fff;
  box-shadow: 0 3px 20px 0 rgba(73, 134, 153, 0.15);
  padding: 10px;
  display: flex;
  flex-direction: column;
  position: absolute;
  top: 65px;
  z-index: 10;
  cursor: pointer;
  max-height: 250px;
  overflow-y: auto;
}

.dropdown__option span {
  padding: 10px;
  font-size: 13px;
  color: #484848;
}

.cover {
  margin: 40px 0;
  overflow: hidden;
}

.cover__wrapper {
  display: flex;
  flex-direction: column;
  padding: 0 0 80px 0;
  justify-content: space-between;
  align-items: center;
  gap: 50px;
}

.cover__content {
  display: flex;
  justify-content: center;
  flex-direction: column;
  align-items: start;
}

.cover__title {
  font-size: 38px;
  font-weight: 500;
  color: #666;
  line-height: 1;
  margin-bottom: 15px;
  text-align: center;
}

.cover__subtitle {
  font-size: 12px;
  letter-spacing: 2px;
  text-transform: uppercase;
  color: #666;
  margin: 0 auto 15px auto;
  text-align: center;
  font-weight: 400;
}

.cover__line {
  background-color: #666;
  width: 100%;
  height: 2px;
}

.cover__para {
  font-size: 16px;
  color: #666;
  max-width: 100%;
  line-height: 1.6;
  margin: 25px 0;
  font-weight: 500;
}

.cover__cta {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  width: 100%;
  gap: 15px;
}

.cover__cta .book__btn {
  width: 100%;
  padding: 5px 25px;
  border-radius: 5px;
  text-transform: uppercase;
  font-weight: bold;
  max-width: 200px;
  letter-spacing: 3px;
  white-space: nowrap;
}

.cover__cta .book__btn:hover {
  background-color: #1ca9c9;
  border: 1px solid #1ca9c9;
}

.video__d {
  display: none;
}

.video__m {
  display: block;
}

.cover__image {
  width: 320px;
  height: 320px;
}

.cover__image img {
  width: 320px;
  height: 320px;
  object-fit: cover;
}

@media (min-width: 960px) {
  .cover__wrapper {
    flex-direction: row;
    gap: 80px;
  }

  .cover__content {
    padding: 0;
  }

  .cover__para {
    max-width: 530px;
  }

  .cover__title {
    font-size: 50px;
    text-align: left;
  }

  .cover__subtitle {
    font-size: 14px;
  }

  .cover__image {
    width: 600px;
    height: 600px;
  }

  .cover__image img {
    width: 600px;
    height: 600px;
    object-fit: cover;
  }

  .video__d {
    display: block;
  }

  .video__m {
    display: none;
  }
}

.form__main {
  background-color: #fff;
  border: 1px solid #dbdbdb;
  position: absolute;
  top: 20px;
  left: 0;
  width: 100%;
}

.form__wrapper {
  display: flex;
  flex-direction: column;
  gap: 10px;
  padding: 10px 20px;
}

.form__wrapper__row {
  display: flex;
  flex-direction: column;
  gap: 4px;
}

.form__wrapper__row .label__title {
  font-size: 13px;
  font-weight: bold;
  color: #484848;
}

.form__wrapper__row .form-control {
  padding: 10px;
  border: 1px solid #dbdbdb;
  border-radius: 5px;
  color: #484848;
  font-size: 13px;
}

.form__wrapper__row .form-control::placeholder {
  font-size: 13px;
  color: #484848;
}

.form__cta {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 15px;
  padding-bottom: 20px;
}

.cover__cta .book__btn {
  width: 100%;
  padding: 5px 25px;
  border-radius: 5px;
  text-transform: uppercase;
  font-weight: bold;
  max-width: 200px;
  letter-spacing: 3px;
  white-space: nowrap;
}

.form__cta .book__btn {
  color: #666;
  width: 100%;
  max-width: 165px;
  border-radius: 20px;
  background: #fff;
  position: relative;
  text-align: center;
  display: inline-block;
  vertical-align: middle;
  border: 1px solid #dbdbdb;
  text-transform: capitalize;
  font: 400 13px/38px "Work Sans", Arial, Helvetica, sans-serif;
  margin-top: 15px;
  transition: all 300ms ease-in-out;
}

.form__cta .book__btn {
  width: 100%;
  padding: 5px 0;
  border-radius: 5px;
  text-transform: uppercase;
  font-weight: bold;
  max-width: 200px;
  letter-spacing: 3px;
  white-space: nowrap;
}

.form__cta .book__btn:hover {
  background-color: #1ca9c9;
  border: 1px solid #1ca9c9;
  color: #fff;
}

.popup {
  position: fixed;
  width: 100%;
  height: 100%;
  inset: 0;
  z-index: 9999;
}

.popup ._df_book {
  height: 100vh !important;
  min-height: 100vh !important;
  max-height: 100vh !important;
}

.popup .df-container {
  min-height: 100vh !important;
}

.popup .close__icon {
  position: absolute;
  top: 20px;
  right: 20px;
  z-index: 10;
}

.popup .close__icon svg {
  width: 30px;
  height: 30px;
}

.popup ._df_book {
  background-color: #ffffff !important;
}

.hidden {
  display: none;
}

.relative {
  position: relative;
}

#show,
#hide {
  cursor: pointer;
}

.book__location {
  display: flex;
  align-items: center;
  gap: 10px; /* Adjust the gap between flags */
  position: relative;
}

.book__location img {
  max-width: 30px;
  height: 20px;
  cursor: pointer;
}

.book__location span {
  position: relative;
  display: grid;
  grid-template-columns: 1fr 1fr 1fr 1fr;
  gap: 2px;
}

.book__location .location {
  visibility: hidden;
  position: absolute;
  background-color: rgba(0, 0, 0, 0.8);
  color: #fff;
  padding: 5px;
  max-width: 400px;
  white-space: nowrap;
  left: 0;
  top: -28px;
  z-index: 10;
  font-size: 10px;
}

.location-hover:hover .location {
  visibility: visible;
}

.pagination {
  display: flex;
  justify-content: space-between;
  align-items: center;
  float: right;
  padding-bottom: 20px;
  width: 100%;
}

@media (max-width: 960px) {
  .pagination {
    flex-direction: column;
    justify-content: center;
    gap: 10px;
  }
}

#itemsPerPage {
  background-color: transparent;
  border: 0;
  border-bottom: 1px solid black;
  padding: 8px 8px 8px 8px;
}

.items-per-page {
  display: flex;
  gap: 6px;
  align-items: center;
}

.pagination-controls {
  display: flex;
}

.pagination .in-active,
.pagination .active {
  color: black;
  padding: 8px 16px;
  text-decoration: none;
  cursor: pointer;
}

.pagination .active {
  background-color: #1ca9c9;
  color: white;
}

.pagination .pagination-controls div:hover:not(.active) {
  background-color: #ddd;
}

.book__location span:last-child {
  margin-left: 2px;
}


.ti-download {
  display: none !important;
}